Skip to main content
GET
/
docgen_jobs
/
{job_id}
cURL
curl -i -X GET "https://api.box.com/2.0/docgen_jobs/12345" \
     -H 'box-version: 2025.0' \
     -H "authorization: Bearer <ACCESS_TOKEN>"
{
  "id": "12345",
  "type": "docgen_job",
  "batch": {
    "id": "12345",
    "type": "docgen_batch"
  },
  "template_file": {
    "type": "file",
    "id": "42037322"
  },
  "template_file_version": {
    "id": "12345",
    "type": "file_version"
  },
  "status": "completed",
  "output_type": "docx",
  "output_file": {
    "type": "file",
    "id": "42037322"
  },
  "output_file_version": {
    "id": "12345",
    "type": "file_version"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.box.com/llms.txt

Use this file to discover all available pages before exploring further.

Learn more about Box SDK versioning strategy.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

box-version
enum<string>
required

Version header.

Available options:
2025.0

Path Parameters

job_id
string
required

Box Doc Gen job ID.

Response

Details of the Box Doc Gen job.

A standard representation of a Box Doc Gen job.

id
string
required

The unique identifier that represent a Box Doc Gen job.

Example:

"12345"

type
enum<string>
required

The value will always be docgen_job.

Available options:
docgen_job
Example:

"docgen_job"

batch
Box Doc Gen batch (Base) · object
required

Box Doc Gen batch that the job belongs to.

template_file
File reference · object
required

Box Doc Gen template used in the job.

template_file_version
File version (Base) · object
required

File version of a template.

status
enum<string>
required

Status of the job.

Available options:
submitted,
completed,
failed,
completed_with_error,
pending
Example:

"completed"

output_type
string
required

Type of the generated file.

Example:

"docx"

output_file
File reference · object

The output file of the job. This property is null until the job is completed.

output_file_version
File version (Base) · object

File version of the output file. This property is null until the job is completed.